Commit 6f943dd9 by James Cowgill

templates: Add mips hostarch detection to debian

parent 2ccd9eda
...@@ -647,6 +647,8 @@ if [ $? -ne 0 ]; then ...@@ -647,6 +647,8 @@ if [ $? -ne 0 ]; then
fi fi
eval set -- "$options" eval set -- "$options"
littleendian=$(lscpu | grep '^Byte Order' | grep -q Little && echo yes)
arch=$(uname -m) arch=$(uname -m)
if [ "$arch" = "i686" ]; then if [ "$arch" = "i686" ]; then
arch="i386" arch="i386"
...@@ -654,6 +656,10 @@ elif [ "$arch" = "x86_64" ]; then ...@@ -654,6 +656,10 @@ elif [ "$arch" = "x86_64" ]; then
arch="amd64" arch="amd64"
elif [ "$arch" = "armv7l" ]; then elif [ "$arch" = "armv7l" ]; then
arch="armhf" arch="armhf"
elif [ "$arch" = "mips" -a "$littleendian" = "yes" ]; then
arch="mipsel"
elif [ "$arch" = "mips64" -a "$littleendian" = "yes" ]; then
arch="mips64el"
fi fi
hostarch=$arch hostarch=$arch
mainonly=1 mainonly=1
...@@ -711,6 +717,14 @@ if [ "$interpreter" = "" ] ; then ...@@ -711,6 +717,14 @@ if [ "$interpreter" = "" ] ; then
echo "can't create $arch container on $hostarch" echo "can't create $arch container on $hostarch"
exit 1 exit 1
fi fi
if [ $hostarch = "mips" -a $arch != "mips" ] || \
[ $hostarch = "mipsel" -a $arch != "mipsel" ] || \
[ $hostarch = "mips64" -a $arch != "mips" -a $arch != "mips64" ] || \
[ $hostarch = "mips64el" -a $arch != "mipsel" -a $arch != "mips64el" ]; then
echo "can't create $arch container on $hostarch"
exit 1
fi
else else
if ! file -b "${interpreter}" |grep -q "statically linked" ; then if ! file -b "${interpreter}" |grep -q "statically linked" ; then
echo "'${interpreter}' must be statically linked" 1>&2 echo "'${interpreter}' must be statically linked" 1>&2
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment